### Enumeration

# Gtk IconViewDropPosition

since: 4.0

#### Declaration

    enum Gtk.IconViewDropPosition

#### Description [src]

An enum for determining where a dropped item goes.

Available since: 4.0

#### Members

`GTK_ICON_VIEW_NO_DROP`

  No drop possible.

  - Value: `0`
  - Nickname: `no-drop`
  - Available since: 4.0
`GTK_ICON_VIEW_DROP_INTO`

  Dropped item replaces the item.

  - Value: `1`
  - Nickname: `drop-into`
  - Available since: 4.0
`GTK_ICON_VIEW_DROP_LEFT`

  Dropped item is inserted to the left.

  - Value: `2`
  - Nickname: `drop-left`
  - Available since: 4.0
`GTK_ICON_VIEW_DROP_RIGHT`

  Dropped item is inserted to the right.

  - Value: `3`
  - Nickname: `drop-right`
  - Available since: 4.0
`GTK_ICON_VIEW_DROP_ABOVE`

  Dropped item is inserted above.

  - Value: `4`
  - Nickname: `drop-above`
  - Available since: 4.0
`GTK_ICON_VIEW_DROP_BELOW`

  Dropped item is inserted below.

  - Value: `5`
  - Nickname: `drop-below`
  - Available since: 4.0